server:
  port: 9002

spring:
  application:
    name: USER-SERVICE

eureka:
  client:
    # flag to turn on/off eureka service discovery
    enabled: true
    # true since this is eureka client NOT server
    fetch-registry: true
    # true since this is eureka client NOT server
    register-with-eureka: true
    service-url:
      defaultZone: http://127.0.0.1:8761/eureka
  instance:
    hostname: localhost


# service specific config

external:
  service:
    # when not using service discovery - start
    # department: http://127.0.0.1:9001/department/
    # when not using service discovery - start
    name: DEPARTMENT-SERVICE
    department: http://${external.service.name}/department/
